[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.EditorHide

Hides a visible cell editor in the grid control.

## Declaration

Source position: grids.pas line 1076

`protected procedure TCustomGrid.EditorHide; virtual;`

## Description

EditorHide ensures that an active, visible cell editor is locked / hidden / unlocked in the method. No actions are performed in the method when EditorLocked returns True, or the Editor is not visible.

EditorHide sets the value in EditorMode to False, and sets GridState to gsNormal.

No additional actions are performed when the Editor does not have a Parent (when the parent form is closing). If the Editor has an assigned Parent, the Editor is locked and DoEditorHide is called to hide the Editor. If the Editor was focused on entry, SetFocus is called to restore focus to the grid control. The editor is unlocked prior to exiting from the method.